MutableAttributeSet (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.text, interface: MutableAttributeSet
Keywords: javax.swing.text.MutableAttributeSet interface

# Interface MutableAttributeSet

All Superinterfaces:
  `AttributeSet`

All Known Subinterfaces:
  `Style`

All Known Implementing Classes:
  `AbstractDocument.AbstractElement, AbstractDocument.BranchElement, AbstractDocument.LeafElement, DefaultStyledDocument.SectionElement, HTMLDocument.BlockElement, HTMLDocument.RunElement, SimpleAttributeSet, StyleContext.NamedStyle`

public interface MutableAttributeSet extends AttributeSet
A generic interface for a mutable collection of unique attributes. Implementations will probably want to provide a constructor of the form:

    public XXXAttributeSet(ConstAttributeSet source);

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface AttributeSet

  `AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`
  Modifier and Type
  Interface
  Description
  `static interface`
  `AttributeSet.CharacterAttribute`
  This interface is the type signature that is expected to be present on any attribute key that contributes to character level presentation.
  `static interface`
  `AttributeSet.ColorAttribute`
  This interface is the type signature that is expected to be present on any attribute key that contributes to presentation of color.
  `static interface`
  `AttributeSet.FontAttribute`
  This interface is the type signature that is expected to be present on any attribute key that contributes to the determination of what font to use to render some text.
  `static interface`
  `AttributeSet.ParagraphAttribute`
  This interface is the type signature that is expected to be present on any attribute key that contributes to the paragraph level presentation.

- ## Field Summary

  ### Fields declared in interface AttributeSet

  `NameAttribute, ResolveAttribute`
  Modifier and Type
  Field
  Description
  `static final Object`
  `NameAttribute`
  Attribute name used to name the collection of attributes.
  `static final Object`
  `ResolveAttribute`
  Attribute name used to identify the resolving parent set of attributes, if one is defined.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttribute(Object name, Object value)`
  Creates a new attribute set similar to this one except that it contains an attribute with the given name and value.
  `void`
  `addAttributes(AttributeSet attributes)`
  Creates a new attribute set similar to this one except that it contains the given attributes and values.
  `void`
  `removeAttribute(Object name)`
  Removes an attribute with the given `name`.
  `void`
  `removeAttributes(Enumeration<?> names)`
  Removes an attribute set with the given `names`.
  `void`
  `removeAttributes(AttributeSet attributes)`
  Removes a set of attributes with the given `name`.
  `void`
  `setResolveParent(AttributeSet parent)`
  Sets the resolving parent.

  ### Methods declared in interface AttributeSet

  `containsAttribute, containsAttributes, copyAttributes, getAttribute, getAttributeCount, getAttributeNames, getResolveParent, isDefined, isEqual`
  Modifier and Type
  Method
  Description
  `boolean`
  `containsAttribute(Object name, Object value)`
  Returns `true` if this set defines an attribute with the same name and an equal value.
  `boolean`
  `containsAttributes(AttributeSet attributes)`
  Returns `true` if this set defines all the attributes from the given set with equal values.
  `AttributeSet`
  `copyAttributes()`
  Returns an attribute set that is guaranteed not to change over time.
  `Object`
  `getAttribute(Object key)`
  Fetches the value of the given attribute.
  `int`
  `getAttributeCount()`
  Returns the number of attributes that are defined locally in this set.
  `Enumeration<?>`
  `getAttributeNames()`
  Returns an enumeration over the names of the attributes that are defined locally in the set.
  `AttributeSet`
  `getResolveParent()`
  Gets the resolving parent.
  `boolean`
  `isDefined(Object attrName)`
  Checks whether the named attribute has a value specified in the set without resolving through another attribute set.
  `boolean`
  `isEqual(AttributeSet attr)`
  Determines if the two attribute sets are equivalent.

- ## Method Details

  - ### addAttribute

    void addAttribute(Object name, Object value)
    Creates a new attribute set similar to this one except that it contains an attribute with the given name and value. The object must be immutable, or not mutated by any client.
    Parameters:
      `name` - the name
      `value` - the value

  - ### addAttributes

    void addAttributes(AttributeSet attributes)
    Creates a new attribute set similar to this one except that it contains the given attributes and values.
    Parameters:
      `attributes` - the set of attributes

  - ### removeAttribute

    void removeAttribute(Object name)
    Removes an attribute with the given `name`.
    Parameters:
      `name` - the attribute name

  - ### removeAttributes

    void removeAttributes(Enumeration<?> names)
    Removes an attribute set with the given `names`.
    Parameters:
      `names` - the set of names

  - ### removeAttributes

    void removeAttributes(AttributeSet attributes)
    Removes a set of attributes with the given `name`.
    Parameters:
      `attributes` - the set of attributes

  - ### setResolveParent

    void setResolveParent(AttributeSet parent)
    Sets the resolving parent. This is the set of attributes to resolve through if an attribute isn't defined locally.
    Parameters:
      `parent` - the parent